## ros-jazzy-rcl-logging-spdlog 3.1.0

=== debian/changelog ===
ros-jazzy-rcl-logging-spdlog (3.1.0-3bookworm) bookworm; urgency=high

  * Check allocator validity in some rcl_logging functions (#116 <https://github.com/ros2/rcl_logging/issues/116>)
    If the allocator is zero-initialized, it may cause a segfault when it is
    used later in the functions.
  * Cleanup the tests. (#115 <https://github.com/ros2/rcl_logging/issues/115>)
    * Cleanup the tests.
    There are a few different fixes in here:
    1.  Move away from using "popen" to get the list of files
    in a directory.  Instead, switch to using the C++ std::filesystem
    directory iterator and doing the work ourselves, which is portable
    and much less error-prone.
    2.  Set the ROS_LOG_DIR for all of the tests in here.  This should
    make the test resistant to being run in parallel with other tests.
    3.  Consistently use rcpputils::set_env_var, rather than a mix
    of rcpputils and rcutils.
  * Update quality declaration document (#112 <https://github.com/ros2/rcl_logging/issues/112>)
  * Re-order rcl_logging_interface include (#111 <https://github.com/ros2/rcl_logging/issues/111>)
  * Contributors: Chris Lalancette, Christophe Bedard, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (3.0.0-3bookworm) bookworm; urgency=high

  * add file_name_prefix parameter to external log configuration. (#109 <https://github.com/ros2/rcl_logging/issues/109>)
  * Contributors: Tomoya Fujita

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.7.1-3bookworm) bookworm; urgency=high

  * Migrate to std::filesystem (#104 <https://github.com/ros2/rcl_logging/issues/104>)
  * Contributors: Kenta Yonekura

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.7.0-3bookworm) bookworm; urgency=high

  * Remove the last uses of ament_target_dependencies in this repo. (#102 <https://github.com/ros2/rcl_logging/issues/102>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.6.0-3bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.5.1-3bookworm) bookworm; urgency=high

  * Mark the benchmark _ as unused. (#99 <https://github.com/ros2/rcl_logging/issues/99>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.5.0-3bookworm) bookworm; urgency=high

  * Update rcl_logging to C++17. (#98 <https://github.com/ros2/rcl_logging/issues/98>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.4.3-3bookworm) bookworm; urgency=high

  * change flushing behavior for spdlog log files, and add env var to use old style (no explicit flushing) (#95 <https://github.com/ros2/rcl_logging/issues/95>)
    * now flushes every ERROR message and periodically every 5 seconds
    * can set ``RCL_LOGGING_SPDLOG_EXPERIMENTAL_OLD_FLUSHING_BEHAVIOR=1`` to get old behavior
  * Updated maintainers - 2022-11-07 (#96 <https://github.com/ros2/rcl_logging/issues/96>)
  * Contributors: Audrow Nash, William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 17 Nov 2022 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.4.2-3bookworm) bookworm; urgency=high

  * Disable cppcheck for rcl_logging_spdlog. (#93 <https://github.com/ros2/rcl_logging/issues/93>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.4.1-3bookworm) bookworm; urgency=high

  * ament_export_dependencies any package with targets we linked against (#89 <https://github.com/ros2/rcl_logging/issues/89>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.4.0-3bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.3.0-3bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.2.1-3bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#84 <https://github.com/ros2/rcl_logging/issues/84>)
    Relates to https://github.com/ament/ament_lint/pull/324
  * Update maintainers to Chris Lalancette (#83 <https://github.com/ros2/rcl_logging/issues/83>)
  * Contributors: Audrow Nash, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.2.0-3bookworm) bookworm; urgency=high

  * Fix renamed rcpputils header (#81 <https://github.com/ros2/rcl_logging/issues/81>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.1.3-3bookworm) bookworm; urgency=high

  * Update includes after rcutils/get_env.h deprecation (#75 <https://github.com/ros2/rcl_logging/issues/75>)
  * Contributors: Christophe Bedard

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 15 Sep 2021 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.1.2-3bookworm) bookworm; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#73 <https://github.com/ros2/rcl_logging/issues/73>)
  * Contributors: shonigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-jazzy-rcl-logging-spdlog (2.1.1-3bookworm) bookworm; urgency=high

  * Include what you use (#71 <https://github.com/ros2/rcl_logging/issues/71>)

