=== debian/control ===
Source: ros-jazzy-rcl-logging-spdlog
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libspdlog-dev, ros-jazzy-ament-cmake-ros, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-performance-test-fixture <!nocheck>, ros-jazzy-rcl-logging-interface, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-spdlog-vendor, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rcl-logging-spdlog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspdlog-dev, ros-jazzy-rcl-logging-interface, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-spdlog-vendor, ros-jazzy-ros-workspace
Description: Implementation of rcl_logging API for an spdlog backend.
